Package org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents

## Class LanguageInConstraintComponent

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent
  - - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.SimpleAbstractConstraintComponent
    - - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.LanguageInConstraintComponent

- All Implemented Interfaces:
    `ConstraintComponent`, `org.eclipse.rdf4j.sail.shacl.ast.Exportable`, `org.eclipse.rdf4j.sail.shacl.ast.TargetChainInterface`

      public class LanguageInConstraintComponent
      extends SimpleAbstractConstraintComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.ConstraintComponent

      `ConstraintComponent.Scope`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent

      `VALUES_INJECTION_POINT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LanguageInConstraintComponent​(ShapeSource shapeSource, Resource languageIn)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstraintComponent` | `deepClone()` |
    `boolean` | `equals​(Object o)` |
    `SourceConstraintComponent` | `getConstraintComponent()` |
    `int` | `hashCode()` |
    `void` | `toModel​(Resource subject, IRI predicate, Model model, Set<Resource> cycleDetection)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.SimpleAbstractConstraintComponent

      `generateSparqlValidationQuery, generateTransactionalValidationPlan, getAllTargetsPlan, getId, getOptimalBulkValidationApproach, getPreferredValidationApproach, getTargetChain, setTargetChain`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent

      `buildSparqlValidNodes_rsx_targetShape, requiresEvaluation`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LanguageInConstraintComponent

          public LanguageInConstraintComponent​(ShapeSource shapeSource,
                                               Resource languageIn)

  - ### Method Detail

    - #### toModel

          public void toModel​(Resource subject,
                              IRI predicate,
                              Model model,
                              Set<Resource> cycleDetection)

    - #### getConstraintComponent

          public SourceConstraintComponent getConstraintComponent()

      Specified by:
        `getConstraintComponent` in interface `ConstraintComponent`
      Overrides:
        `getConstraintComponent` in class `SimpleAbstractConstraintComponent`

    - #### deepClone

          public ConstraintComponent deepClone()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`